[PC-BSD Commits] r12492 - in pcbsd/current/mfsroot-overlay: etc root
svn at pcbsd.org
svn at pcbsd.org
Tue Aug 30 16:13:45 PDT 2011
Author: kris
Date: 2011-08-30 16:13:44 -0700 (Tue, 30 Aug 2011)
New Revision: 12492
Modified:
pcbsd/current/mfsroot-overlay/etc/SetupLive.sh
pcbsd/current/mfsroot-overlay/root/PCBSDStart.sh
Log:
Fixed some bugs in LIVE mode, allow booting to emergency console and fix some
errors which flash by quickly
Modified: pcbsd/current/mfsroot-overlay/etc/SetupLive.sh
===================================================================
--- pcbsd/current/mfsroot-overlay/etc/SetupLive.sh 2011-08-30 23:07:20 UTC (rev 12491)
+++ pcbsd/current/mfsroot-overlay/etc/SetupLive.sh 2011-08-30 23:13:44 UTC (rev 12492)
@@ -45,15 +45,6 @@
if [ -e "/cdmnt/no-install-pkgs" ] ; then touch /tmp/no-install-pkgs ; fi
if [ -e "/cdmnt/no-fbsd-release" ] ; then touch /tmp/no-fbsd-release ; fi
-# Now make /PCBSD sym-links
-rm /usr/PCBSD
-mkdir /usr/PCBSD
-cd /mntuzip/usr/PCBSD
-for i in `ls`
-do
- ln -s /mntuzip/usr/PCBSD/$i /usr/PCBSD/$i
-done
-
# Set the marker that this is a LIVE bootup
touch /usr/pcbsd-live
Modified: pcbsd/current/mfsroot-overlay/root/PCBSDStart.sh
===================================================================
--- pcbsd/current/mfsroot-overlay/root/PCBSDStart.sh 2011-08-30 23:07:20 UTC (rev 12491)
+++ pcbsd/current/mfsroot-overlay/root/PCBSDStart.sh 2011-08-30 23:13:44 UTC (rev 12492)
@@ -20,11 +20,19 @@
mv /var/tmp /tmp/vartmp
ln -s /tmp/vartmp /var/tmp
-# Make /usr/PCBSD link
-ln -s /usr/PCBSD /PCBSD >/dev/null 2>/dev/null
-
# Check if we are booting in LIVE or INSTALL mode
if [ -e "/usr/pcbsd-live" ]; then
+
+ # Check if we should be going to the console instead of X directly
+ /sbin/sysctl kern.module_path | /usr/bin/grep "CONSOLE" >/dev/null 2>/dev/null
+ FOUND="$?"
+ if [ "$FOUND" = "0" ]
+ then
+ /root/PCBSDtext.sh
+ shutdown -r now
+ exit
+ fi
+
# We are running LIVE mode, start that script now
sh /root/PCBSDStartLive.sh
exit 0
More information about the Commits
mailing list